#!/bin/bash

#
#HCCAD startup script
#

XDG_DATA_HOME="/var/tmp"

Package_Name="com.gstarcad.cad"

Env_User_Data=$XDG_DATA_HOME

if [ -z $Env_User_Data ]
then
        Env_User_Data=$HOME             
fi

if [ -z $Env_User_Data ]
then
        Env_User_Data="/var/tmp"             
fi

export Env_User_Data=${Env_User_Data}/${Package_Name}
export XMODIFIERS=@im=fcitx  

export XIM=fcitx  

export XIM_PROGRAM=fcitx  

export GTK_IM_MODULE=fcitx  

export QT_IM_MODULE=fcitx

if [ ! -n "$DISPLAY" ]
then
DISPLAY=":0.0"
fi


CAD_RUN_PATH="/opt/apps/${Package_Name}/files"
export QT_QPA_PLATFORM_PLUGIN_PATH=${CAD_RUN_PATH}
#export QT_PLUGIN_PATH=${CAD_RUN_PATH}
export QT_DEBUG_PLUGINS=1
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${CAD_RUN_PATH}":"${CAD_RUN_PATH}/drivers"

#$BINARY
"${CAD_RUN_PATH}/gcad" "$1"
